Create a safe list for a workspace
curl --request POST \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/safe-lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "foo bar baz",
"remarks": "foo bar baz description",
"allFiles": true,
"highConfidence": true,
"create": {
"safeDomains": [
"foo.com",
"bar.com"
],
"safeEmailIds": [
"foo@example.com"
],
"safeFiles": [
{
"name": "foo",
"id": "asdfgh12345"
}
],
"safeGroups": [
{
"name": "foo",
"id": "asdfgh12345"
}
]
}
}
'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/safe-lists"
payload = {
"name": "foo bar baz",
"remarks": "foo bar baz description",
"allFiles": True,
"highConfidence": True,
"create": {
"safeDomains": ["foo.com", "bar.com"],
"safeEmailIds": ["foo@example.com"],
"safeFiles": [
{
"name": "foo",
"id": "asdfgh12345"
}
],
"safeGroups": [
{
"name": "foo",
"id": "asdfgh12345"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'foo bar baz',
remarks: 'foo bar baz description',
allFiles: true,
highConfidence: true,
create: {
safeDomains: ['foo.com', 'bar.com'],
safeEmailIds: ['foo@example.com'],
safeFiles: [{name: 'foo', id: 'asdfgh12345'}],
safeGroups: [{name: 'foo', id: 'asdfgh12345'}]
}
})
};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/safe-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Workspaces
Create a safe list for a workspace
Create a new safe list of files, domains, emails, or groups for a workspace.
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
workspaces
/
{workspaceId}
/
files
/
safe-lists
Create a safe list for a workspace
承認
ボディ
application/json
レスポンス
201 - application/json
The response is of type object.
最終更新日 2026年7月10日
⌘I

